package healthwatcher.model.healthguide;

import lib.patterns.events.*;

public class MedicalSpeciality implements java.io.Serializable {

	private int codigo;

	private String descricao;

	public MedicalSpeciality(String descricao) {
		this.descricao = descricao;
	}

	public int getCodigo() {
		return this.codigo;
	}

	public String getDescricao() {
		return this.descricao;
	}

	public void setCodigo(int cod) {
		announce SubjectChangeEvent(this) {
			this.codigo = cod;
		}
	}

	public void setDescricao(String descricao) {
		announce SubjectChangeEvent(this) {
			this.descricao = descricao;
		}
	}

	public String toString() {
		return descricao;
	}
}
