package healthwatcher.model.complaint;

import lib.patterns.events.*;

public class Symptom implements java.io.Serializable {

	private int code;

	private String description;

	public Symptom(String descricao) {
		this.description = descricao;
	}

	public int getCode() {
		return this.code;
	}

	public String getDescription() {
		return this.description;
	}

	public void setCode(int codigo) {
		announce SubjectChangeEvent(this) {
			this.code = codigo;
		}
	}

	public void setDescription(String description) {
		announce SubjectChangeEvent(this) {
			this.description = description;
		}
	}
}